Subject: Re: [alsa-devel] [PATCH] ASoC: fsl_asrc: constify snd_soc_dai_ops structure

From: Joe Perches <[email-masked]>
Date: Thu, 13 Jul 2017 11:18:11 -0700

On Thu, 2017-07-13 at 10:18 -0500, Gustavo A. R. Silva wrote:
> Hi Mark,
> 
> Quoting Mark Brown <[email-masked]>:
> 
> > On Thu, Jul 13, 2017 at 09:32:41AM +0200, Takashi Iwai wrote:
> > 
> > > please stop posting in this style.  It's really annoying to see
> > > spontaneously popping-up almost same patch for more than two hours
> > > long.
> > > If you have a series of the same fix patches, send them as a patch
> > > set in a shot with a thread.  git-send-email does it right.
> > > I don't mind a couple of patches posted separately, but this is over
> > > the limit.
> > 
> > Or at least just collect them up and send them all at one time even if
> > not as a single thread (you don't want to CC everyone affected by a
> > single patch in the set on everything, that's harder to avoid when
> > sending a series via git, but it can be confusing to get one item in a
> > large patch series without context).
> 
> I like this idea better. I will do so next time. :)

I don't it's better.

It's not that confusing if the 0/n patch cover letter is cc'd
to all the appropriate mailing lists and all the [1..n]/n
patches are sent with in-reply-to of the cover letter and
send to the maintainers and appropriate mailing lists.